package com.jeeplus.modules.filing.constructionStage.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

import java.util.Date;

public class ProjectOther extends DataEntity<ProjectOther> {
    /**
     * 项目编码
     */
    private String projectCode;

    /**
     * 单体编码
     */
    private String monomerCode;

    /**
     * 项目名称
     */
    private String entryName;

    /**
     * 工程遗留相关事项
     * */
    private String mattersLeft;
    /**
     * 退料及报废手续
     * */
    private String returnAndScrap;
    /**
     * 重要的附件等扫描件
     * */
    private String importantAccessories;

    @ExcelField(title="项目编码", align=2, sort=1)
    public String getProjectCode() {
        return projectCode;
    }

    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }

    @ExcelField(title="单体编码", align=2, sort=2)
    public String getMonomerCode() {
        return monomerCode;
    }

    public void setMonomerCode(String monomerCode) {
        this.monomerCode = monomerCode;
    }

    @ExcelField(title="项目名称", align=2, sort=3)
    public String getEntryName() {
        return entryName;
    }

    public void setEntryName(String entryName) {
        this.entryName = entryName;
    }

    @ExcelField(title="工程遗留相关事项", align=2, sort=4)
    public String getMattersLeft() {
        return mattersLeft;
    }

    public void setMattersLeft(String mattersLeft) {
        this.mattersLeft = mattersLeft;
    }

    public String getReturnAndScrap() {
        return returnAndScrap;
    }

    public void setReturnAndScrap(String returnAndScrap) {
        this.returnAndScrap = returnAndScrap;
    }

    public String getImportantAccessories() {
        return importantAccessories;
    }

    public void setImportantAccessories(String importantAccessories) {
        this.importantAccessories = importantAccessories;
    }
}
